[Overview][Constants][Classes][Index] | Reference for unit 'memds' (#fcl)

# MDSError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised for errors when reading or writing an in-memory dataset

## Declaration

Source position: memds.pp line 47

`type MDSError = class(Exception)`

## Inheritance

`MDSError` |  | Exception raised for errors when reading or writing an in-memory dataset
`Exception`
`TObject`

## Description

MDSError is an Exception type raised when an error occurs while reading or writing values for an in-memory dataset. MDSError is raised in the TMemDataset.RaiseError method and uses messages defined in resource strings in the implementation for the unit, including:

- Fieldtype of Field "%s" not supported
- Bookmark %d not found
- Error in data stream at position %d
- Wrong data stream marker at position %d. Got %d, expected %d'
- Filename must not be empty

An MDSError exception will be raised when a field definition uses a data type not supported in TMemDataset. The exception will be raised for the following field types:

- ftADT
- ftCursor
- ftDataSet
- ftDBaseOle
- ftFmtMemo
- ftGraphic
- ftIDispatch
- ftInterface
- ftOraBlob
- ftOraClob
- ftParadoxOle
- ftReference
- ftTimeStamp
- ftTypedBinary
- ftVariant
- ftUnknown

## See also

TMemDataset.FieldDefs |  | Definitions of available fields in the underlying database
TField.DataType |  | The data type of the field.